/*
    manrope: 300 regular, 700 bold, 800 extra bold
    lexend mega: 800 extra bold, 900 black

*/
:root {
    --torro-white: #FCF7EE;
    --torro-black: #171717;
    --torro-lightblue: #C4F0FD;
    --torro-lightblue-over: #b2ecfd;
    --torro-white-opacity: rgb(252, 247, 238, .9);
}
* {
  box-sizing: border-box;
}
html, body { height:100dvh; }
body {background-color: var(--torro-black);}

.inter-regular {
  font-family: "Inter", sans-serif;
  font-optical-sizing: none;
  font-weight: 400;
  font-style: normal;
}
.inter-semibold {
  font-family: "Inter", sans-serif;
  font-optical-sizing: none;
  font-weight: 600;
  font-style: normal;
}

/* OVERWRITES */
.uk-button {
    text-transform: none;
}
.uk-button-primary {
	background-color: var(--torro-lightblue);
}
.uk-button-primary:hover {
	background-color: var(--torro-lightblue-over);
}

.wrapper {

    height:100dvh;
    display: flex;
    justify-content: center;
    align-items: center;

	& > picture {

        position: absolute;
    	height:100dvh;
    	width:100vw;

        > img {
            position: absolute;
            object-fit: cover;
            height:100dvh;
            width:100vw;
        }
    }

    & .mdl {
        border-radius: 10px;
    	/*height:calc(100dvh - 30%);*/
        height: auto;
        padding: 40px 0;
    	width:calc(100vw - 40px);
        background: var(--torro-white-opacity);
        z-index: 10;

        @media (min-width: 768px) {
    	    width:calc(100vw - 80px);
        }

        @media (min-width: 1280px) {
            /*height:calc(100dvh - 40%);*/
    	    width:calc(100vw - 100px);
            padding: 60px 0;
        }
    }

    & .logo {

        & img {
            width: 280px;

            @media (min-width: 1280px) {
                width: 320px;
            }
        }

    }

    & .mdl-body {

        & p {
            color: var(--torro-black);
            text-align: center;
            font-size: 16px;
            line-height: 1.2;
            margin-bottom: 0;
            max-width: 75ch;

            @media (min-width: 768px) {
                line-height: 1.4;
            }
        }

        & a {
            display: block;
            color: var(--torro-black);
            text-align: center;
            font-size: 16px;
        }
    
    	& a.insta-block {
        	display:flex;
        	flex-direction:column;
        	font-size: 12px;
        	text-decoration:none;
        
        	& span:first-child {
            	margin:0 0 5px 0;
        	}
        
    	}

        & #newsletter-wrapper {
            margin: 44px 0 64px 0;
        }

        & .mainemail, address, footer {
            font-size: 12px;
            color: var(--torro-black);
        }
        & .mainemail {
            text-decoration: underline;
        }
        & address {
            margin: 20px 0 0 0;
            font-weight: 400;
        }

        & .nl {
            display: none;
        }
        & .toggle-nl {
            a {
                display: none;
            }
            .nl {
                display: block;
            }
        }

    }

}

#mce-EMAIL {
    border: 1px solid var(--torro-black);
    background: transparent;
    height: 44px;
    width: 200px;
    text-align: center;
    text-decoration: none;
}
#mc_embed_signup div.mce_inline_error {
	font-size: 10px;
	text-align: center;
}
#mce-success-response {
    font-size: 12px;
	text-align: center;
    margin: 5px 0 0 0;
}